> For the complete documentation index, see [llms.txt](https://docs.griaule.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.griaule.com/apis/spidx/models.md).

# Models

## The GUID object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"GUID":{"type":"object","properties":{"guid":{"type":"string"}}}}}}
```

## The Biometric object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"Biometric":{"type":"object","properties":{"content":{"type":"string"},"index":{"type":"integer","format":"int32"},"biometricProperties":{"$ref":"#/components/schemas/BiometricProperties"}}},"BiometricProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}}}}}
```

## The BiometricPackage object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"BiometricPackage":{"type":"object","properties":{"biometricsGuid":{"type":"string"},"biometricList":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"walletAdress":{"type":"string"}}},"Biometric":{"type":"object","properties":{"content":{"type":"string"},"index":{"type":"integer","format":"int32"},"biometricProperties":{"$ref":"#/components/schemas/BiometricProperties"}}},"BiometricProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}}}}}
```

## The BiometricProperties object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"BiometricProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}}}}}
```

## The BiometricDemand object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"BiometricDemand":{"type":"object","properties":{"securityLevel":{"type":"string","enum":["HIGH","MEDIUM","LOW"]},"biometricFields":{"type":"array","items":{"type":"string","enum":["FACE","FINGERPRINT","FULL_NAME","DATE_OF_BIRTH","PERSONAL_EMAIL","WORK_EMAIL","OTHER_EMAIL","ADDRESS","COUNTRY","GENDER","NATIONALITY","MOBILE_NUMBER"]}},"otc":{"type":"integer","format":"int32"},"notificationEndpoint":{"type":"string"},"organizationName":{"type":"string"},"callback":{"type":"string"},"userEmail":{"type":"string"},"keyIdentifier":{"$ref":"#/components/schemas/KeyIdentifier"},"qualityThreshold":{"type":"integer","format":"int32"}}},"KeyIdentifier":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The CreateRequisitionRequest object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"CreateRequisitionRequest":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/BiometricDemand"}}},"BiometricDemand":{"type":"object","properties":{"securityLevel":{"type":"string","enum":["HIGH","MEDIUM","LOW"]},"biometricFields":{"type":"array","items":{"type":"string","enum":["FACE","FINGERPRINT","FULL_NAME","DATE_OF_BIRTH","PERSONAL_EMAIL","WORK_EMAIL","OTHER_EMAIL","ADDRESS","COUNTRY","GENDER","NATIONALITY","MOBILE_NUMBER"]}},"otc":{"type":"integer","format":"int32"},"notificationEndpoint":{"type":"string"},"organizationName":{"type":"string"},"callback":{"type":"string"},"userEmail":{"type":"string"},"keyIdentifier":{"$ref":"#/components/schemas/KeyIdentifier"},"qualityThreshold":{"type":"integer","format":"int32"}}},"KeyIdentifier":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The CreateRequisitionResponse object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"CreateRequisitionResponse":{"type":"object","properties":{"transactionID":{"$ref":"#/components/schemas/GUID"},"dynamicLink":{"type":"string"},"status":{"type":"string","enum":["AWAITING_DATA_COLLECTION","DATA_COLLECTED","FINISHED","DENIED","ERROR"]}}},"GUID":{"type":"object","properties":{"guid":{"type":"string"}}}}}}
```

## The KeyIdentifier object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"KeyIdentifier":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}}}}
```

## The CreateRequisitionErrorResponse object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"CreateRequisitionErrorResponse":{"type":"object","properties":{"type":{"type":"string","enum":["PROCESSING_ERROR"]},"code":{"type":"string","enum":["AWAITING_DATA_COLLECTION","DATA_COLLECTED","FINISHED","DENIED","ERROR"]},"message":{"type":"string"}}}}}}
```

## The GetBiometricsReponse object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"GetBiometricsReponse":{"type":"object","properties":{"biometricPackage":{"$ref":"#/components/schemas/BiometricPackage"},"biographicPackage":{"$ref":"#/components/schemas/BiographicPackage"},"userInformation":{"$ref":"#/components/schemas/UserInformation"}}},"BiometricPackage":{"type":"object","properties":{"biometricsGuid":{"type":"string"},"biometricList":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"walletAdress":{"type":"string"}}},"Biometric":{"type":"object","properties":{"content":{"type":"string"},"index":{"type":"integer","format":"int32"},"biometricProperties":{"$ref":"#/components/schemas/BiometricProperties"}}},"BiometricProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"}}},"BiographicPackage":{"type":"object","properties":{"biographicList":{"type":"array","items":{"$ref":"#/components/schemas/Biographic"}}}},"Biographic":{"type":"object","properties":{"type":{"type":"string","enum":["FULL_NAME","DATE_OF_BIRTH","PERSONAL_EMAIL","WORK_EMAIL","OTHER_EMAIL","ADDRESS","COUNTRY","GENDER","NATIONALITY","MOBILE_NUMBER"]},"value":{"type":"string"}}},"UserInformation":{"type":"object","properties":{"spidx":{"type":"string"},"deduplicationStatus":{"type":"string","enum":["ENQUEUED","PROCESSING","ENROLLED","EXCEPTION","FAILED","REFUSED","PENDING"]},"verificationStatus":{"type":"string","enum":["MATCH","NOT_MATCH","NONE"]}}}}}}
```

## The UserInformation object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"UserInformation":{"type":"object","properties":{"spidx":{"type":"string"},"deduplicationStatus":{"type":"string","enum":["ENQUEUED","PROCESSING","ENROLLED","EXCEPTION","FAILED","REFUSED","PENDING"]},"verificationStatus":{"type":"string","enum":["MATCH","NOT_MATCH","NONE"]}}}}}}
```

## The ProcessingError object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"ProcessingError":{"type":"object","properties":{"type":{"type":"string","enum":["PROCESSING_ERROR"]},"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object"}}}}}}
```

## The InternalError object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"InternalError":{"type":"object","properties":{"type":{"type":"string","enum":["INTERNAL_ERROR"]},"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object"}}}}}}
```

## The BiographicPackage object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"BiographicPackage":{"type":"object","properties":{"biographicList":{"type":"array","items":{"$ref":"#/components/schemas/Biographic"}}}},"Biographic":{"type":"object","properties":{"type":{"type":"string","enum":["FULL_NAME","DATE_OF_BIRTH","PERSONAL_EMAIL","WORK_EMAIL","OTHER_EMAIL","ADDRESS","COUNTRY","GENDER","NATIONALITY","MOBILE_NUMBER"]},"value":{"type":"string"}}}}}}
```

## The Biographic object

```json
{"openapi":"3.0.1","info":{"title":"SPIDX API Specification","version":"1.13.0"},"components":{"schemas":{"Biographic":{"type":"object","properties":{"type":{"type":"string","enum":["FULL_NAME","DATE_OF_BIRTH","PERSONAL_EMAIL","WORK_EMAIL","OTHER_EMAIL","ADDRESS","COUNTRY","GENDER","NATIONALITY","MOBILE_NUMBER"]},"value":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.griaule.com/apis/spidx/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
